Ipelib

Public Types | Public Attributes | List of all members
ipe::PdfToken Struct Reference

`#include <ipepdfparser.h>`

## Public Types
enum | TToken { EErr , EOp , EName , ENumber , EString , EStringBinary , ETrue , EFalse , ENull , EArrayBg , EArrayEnd , EDictBg , EDictEnd }

## Public Attributes
TToken | iType
String | iString

## Detailed Description

A PDF lexical token.

## Member Enumeration Documentation

## ◆ TToken

enum ipe::PdfToken::TToken

The various types of tokens.

Enumerator
EErr |
EOp |
EName |
ENumber |
EString |
EStringBinary |
ETrue |
EFalse |
ENull |
EArrayBg |
EArrayEnd |
EDictBg |
EDictEnd |

## Member Data Documentation

## ◆ iType

TToken ipe::PdfToken::iType

The type of this token.

Referenced by ipe::PdfParser::getObject(), ipe::PdfParser::getObjectDef(), ipe::PdfParser::getToken(), ipe::PdfParser::getTrailer(), and ipe::PdfFile::parse().

## ◆ iString

String ipe::PdfToken::iString

The string representing this token.

Referenced by ipe::PdfParser::getObject(), ipe::PdfParser::getObjectDef(), ipe::PdfParser::getToken(), ipe::PdfFile::parse(), ipe::PdfParser::readXRef(), and ipe::PdfParser::skipXRef().

The documentation for this struct was generated from the following file:

- ipepdfparser.h